creating a user account (using the RPC API) with access to only one subscription

Created:

2016-11-16 13:00:45 UTC

Modified:

2017-04-24 12:00:23 UTC

0

Was this article helpful?


Have more questions?

Submit a request

creating a user account (using the RPC API) with access to only one subscription

Applicable to:

  • Plesk 11.5 for Linux

Symptoms

API-request sent to Parallels Plesk 11.5 server returns an error:

<errtext>Parser error: Request is invalid. Error in line 1: Element 'subscription-domain-id': This element is not expected. Expected is ( external-id )<errtext>

Packet version is set as 1.6.3.0 according to Plesk API RPC Manual :

<packet version="1.6.3.0">

Cause

This issue is considered a documentation issue #PPPM-756 and will be fixed in future product updates.

Resolution

Use 1.6.5.0 packet version, i.e. the following:

<packet version="1.6.5.0">
Have more questions? Submit a request
Please sign in to leave a comment.